Indhold

# Start af LibreOffice-software med parametere

Ved at starte LibreOffice-softwaren fra kommandolinjen kan du tildele forskellige parametre, hvormed du kan ændre ydelsen. Brug af kommandolinjeparametre er kun anbefalet til erfarne brugere.

Brug af kommandolinjeparametre er normalt ikke nødvendig. Nogle få af parametrene kræver en dybere viden om den tekniske bagrund for LibreOffices softwareteknologi.

## Start af LibreOffice-softwaren fra kommandolinjen

1. Søg efter Kør i Windows Startmenu.

2. Indtast den følgende tekst i tekstfeltet Åbn og klik på OK.

3. "{install}\program\soffice.com" {parameter}

   Erstat {install} med stien til din installation af LibreOffice-softwaren (for eksempel C:\Program Files\LibreOffice). Brug soffice.exe i stedet for soffice.com, når du ikke har brug for en konsol (du behøver for eksempel ikke kommandolinje-brugerflade til hovedløse operationer).

1. Åbn en skal under Linux, *BSD eller macOS platforme.

2. Indtast den følgende tekstlinje og tryk så på Retur:

   {install}/program/soffice {parameter}

   Erstat {installer}med stien til din installation af LibreOffice software (for eksempel /opt/LibreOffice i UNIX)

LibreOffice kræver skriveadgang til sin brugerprofil-mappe.

## Gyldige kommandolinje parametre

### Brug uden specielle argumenter

Brug uden parametre åbner Startcentret.

{file} | Forsøger at åbne filen (filerne) med det modul der passer bedst.
{file} macro://./[Bibliotek.Modul.Makronavn] | Åbner filen og tilknytter specificerede makroer fra filen.

### Få hjælp og information

Parameter | Betydning
--- | ---
--help / -h / -? | Lister tilgængelige kommandolineparametre i konsollen.
--helpwriter | Åbner LibreOffices indbyggede hjælp til Writer.
--helpcalc | Åbner LibreOffices indbyggede hjælp til Calc.
--helpdraw | Åbner LibreOffices indbyggede hjælp til Draw.
--helpimpress | Åbner LibreOffices indbyggede hjælp til Impress.
--helpbase | Åbner LibreOffices indbyggede hjælp til Base.
--helpbasic | Åbner LibreOffices indbyggede hjælp til Basic makroprogrammering.
--helpmath | Åbner LibreOffices indbyggede hjælp til Math.
--version | Viser LibreOffice version og lukker.
--nstemporarydirectory | (gælder kun macOS sandbox) Returnerer stien for den midlertidige mappe for den aktuelle bruger og afslutter. Tilsidesætter alle andre argumenter.

### Generelle argumenter

Parameter | Betydning
--- | ---
--quickstart[=no] | Aktiverer[deaktiverer] servicen Hurtigstarter. Den tager kun en enkelt parameter no som deaktiverer Hurtigstarteren. Uden parametre vil denne service blive aktiveret.
--nolockcheck | Deakitiverer kontrol for fjern-enheder under installationen.

--infilter=InputFilterName
[:InputFilterParam[,param]]

Gennemtvinger om muligt en input-filtertype. For eksempel:

--infilter="Calc Office Open XML"

--infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US".

Se Liste over doukemtfiltre vedrørende filkonvertering.

Listen over filterindstillinger til Lotus, dBase og Diff-filer.

Listen over filterindstillinger til CSV-filer.

Listen over filter-indstillinger for PDF-filer.

--pidfile={file} | Gemmer soffice.bin pid til {file}
--display {display} | Sætter miljøvariablen DISPLAY på UNIX-lignende platforme til værdien {vis}. Denne parameter understøttes kun af startscriptet til LibreOffice software på UNIX-lignende platforme.

### Bruger/programmæssig grænsefladekontrol

Parameter | Betydning
--- | ---
--nologo | Deaktiverer velkomstbilledet ved programstart.
--minimized | Starter minimeret. Velkomstbilledet vises ikke.
--nodefault | Starter uden at vise andet end velkomstbilledet.

--invisible

Starter i usynlig tilstand.

Hverken startlogoet eller det oprindelige programvindue vil være synligt. LibreOffice-softwaren kan kontrolleres, desuden kan dokumenter og dialoger kontrolleres og åbnes via API.

Når LibreOffice programmet er started med denne parameter, kan det kun afsluttes ved hjælp af opgavelisten (Windows) eller kommandoen kill (UNIX-systemer).

Det kan ikke bruges sammen med -hurtig start.

Mere information findes i LibreOffice Udviklingsvejledningen.

--headless | Starter i "headless tilstand" som tillader at bruge programmet uden brugergrænseflade. Denne specielle tilstand kan bruges, når programmet er kontrolleret af eksterne klienter via API.
--norestore | Deaktiverer genstart og filgendannelse efter et systemnedbrud.
--safe-mode | Starter i sikker tilstand, f.eks. starter midlertidigt med en ny brugerprofil og hjælper med at genoprette en ødelagt opsætning.
--accept={UNO} | Underretter LibreOffice software at ved oprettelse af "UNO Acceptor Threads", vil en "UNO Accept String" blive benyttet. UNO-URL er en streng på formen uno:connection-type,params;protocol-name,params;ObjectName. Mere information findes i LibreOffice Udviklingsvejledningen.
--unaccept={UNO-URL} | Lukker en accept som blev oprettet med --accept={UNO-URL}. Brug --unaccept=all for at lukke alle accepts.
--language={lang} | Bruger specificeret sprog hvis sprog endnu ikke er valgt for brugergrænseflade. Sproget er et mærke for sproget i EFTF sprogmærke.

### Udviklingsargumenter

Parameter | Betydning
--- | ---
--terminate_after_init | Afslut efter færdig initialisering (ingen dokumenter indlæst).

Unix- og Linux-brugere kan kalde LibreOffice til debugging-formål med disse supplerende parametre.

Parameter | Betydning
--- | ---
--record | Et udvidet fejlsøgningsprogram
--backtrace | Udskriver sammenbrudsinformation fra hele stakken.
--strace | strace er et diagnostisk, fejlsøgnings- og instruktions-brugerområdeprogram til Linux.
--valgrind | Opdag automatisk mange fejl i hukommelsesadministration og trådning samt profilér programmet detaljeret.

Fejlfindings-indstillingerne --record, --backtrace, --strace og --valgrind kan ikke bruges sammen. Brug dem venligst en ad gangen.

### Nyt dokument opretter argumenter

Argumenterne opretter et tomt dokument af ønsket type. Kun en af dem kan bruges på en kommandolinje. Hvis filnavn er specificeret efter argumentet, prøver den at åbne de filer i den bestemte komponent.

Parameter | Betydning
--- | ---
--writer | Starter med et tomt Writer dokument.
--calc | Starter med et tomt Calc regneark.
--draw | Starter med et tomt Draw dokument.
--impress | Starter med et tomt Impress dokument.
--math | Starter med et tomt Math dokument.
--global | Starter med et tomt Writer hoveddokument.
--web | Starter med et tomt HTML-dokument.

### Filåbningsargumenter

Argumenterne specificerer hvordan følgende filnavne behandles. Ny behandling begynder efter argumentet og slutter ved næste argument. Standard behandling er at åbne dokumenter for redigering og oprette nye dokumenter fra dokumentskabeloner.

Parameter | Betydning
--- | ---
-n | Behandler følgende filer som skabeloner til oprettelse af nye dokumenter.
-o | Åbner de følgende filer til redigering uanset om de er skabeloner eller ej.
--pt {Printername} | Udskriver de følgende filer til printeren {Printername} og afslutter. Startskærmen vises ikke. Hvis filnavnet indeholder mellemrum, så skal det være omgivet af anførselstegn. Hvis brugt flere gange er kun den seneste {Printername} i brug for alle dokumenter i alle --pt kørsler. --printer-name argumentet --print-to-file indvirker også på {Printername}.
-p | Udskriver de følgende filer til standardprinteren, hvorefter filerne lukkes. Startskærmen vises ikke. Hvis filnavnet indeholder mellemrum, så skal det være omgivet af anførselstegn.
--view | Åbner de følgende filer i fremvisningstilstand (kun læseadgang)
--show[=N] | Åbner præsentationen og begynder straks fremvisningen af dokumenterne specificeret nedenfor. Filerne bliver lukkede efter fremvisningen. N i eksemplet refererer til diasnummer, og når nummeret er angivet, begynder de med dette dias.

--convert-to OutputFileExtension
[:OutputFilterName
[:OutputFilterParams[,param]]]
[--outdir output_dir]

Hvis --convert-to brugeres mere end én gang, er den sidste værdi af OutputFileExtension[:OutputFilterName[:OutputFilterParams]] gældende. Hvis --outdir bruges mere end én gang, er kun den sidste værdi gældende. Hvis --ourdir mangler, bruges den aktuelle arbejdsmappe til resultatet. For eksempel:

--convert-to pdf *.doc

--convert-to pdf:writer_pdf_Export --outdir /home/user *.doc

--convert-to "html:XHTML Writer File:UTF8" *.doc

--convert-to "txt:Text (encoded):UTF8" *.doc

Se Liste over doukemtfiltre vedrørende filkonvertering.

Listen over filterindstillinger til Lotus, dBase og Diff-filer.

Listen over filterindstillinger til CSV-filer.

Listen over filter-indstillinger for PDF-filer.

--print-to-file [--printer-name printer_name] [--outdir output_dir]

Batch udskriver filer til fil. Hvis --outdir ikke er specificeret vil nuværende mappe blive brugt som output_dir.

Hvis --printer-name eller --outdir bruges flere gange, vil kun den sidste værdi fra hver blive brugt. {Printername} argumentet --pt indvirker også på --printer-name. For eksempel:

--print-to-file *.doc

--print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc

--cat | Anvender filtret "txt:Text" på de følgende tekstdokumenter og dropper tekstindholdet til konsolen (omfatter --headless). Kan ikke bruges sammen med --konverter-til.
-env:VAR[=VALUE] | Sæt et opstartsvariabel. For, for eksempel, til at sætte en ikke-standard brugerprofil-sti: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Ignorerede startparametre

Parameter | Betydning
--- | ---
-psn | Ignoreres (kun macOS)
-Embedding | Ignoreret (COM+ relateret; Kun Windows)
--nofirststartwizard | Gør intet, accepteres kun for bagudkompatibilitet.
--protector {arg1} {arg2} | Bruges kun i komponenttests og skal have to argumenter.

Støt os venligst!